Mail archive
alpine-aports

[alpine-aports] [PATCH 5/7] testing/perl-anyevent-http: new aport

From: Nick Andrew <nick_at_nick-andrew.net>
Date: Sat, 13 Aug 2016 14:56:11 +0000

http://search.cpan.org/~mlehmann/AnyEvent-HTTP-2.22
Simple but non-blocking HTTP/HTTPS client
---
 testing/perl-anyevent-http/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent-http/APKBUILD
diff --git a/testing/perl-anyevent-http/APKBUILD b/testing/perl-anyevent-http/APKBUILD
new file mode 100644
index 0000000..00e53d7
--- /dev/null
+++ b/testing/perl-anyevent-http/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <nick_at_nick-andrew.net>
+# Maintainer: Nick Andrew <nick_at_nick-andrew.net>
+pkgname=perl-anyevent-http
+_pkgreal=AnyEvent-HTTP
+pkgver=2.22
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/AnyEvent-HTTP/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-dancer-plugin-swig perl-anyevent"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e27736c4592031adccfa0638419a3b70  AnyEvent-HTTP-2.22.tar.gz"
+sha256sums="864544a4f35b3f14b59f42a26d338d98cfe8fae726eb3578dcf36eed0df5aa6e  AnyEvent-HTTP-2.22.tar.gz"
+sha512sums="3408b5339cc85e8d37dc6c4f40a0f1ad9436fb9b261e6a14b5a7913f8ee6c2ba7e80aec376af48190c76219fbcadf9c68c2d67c4ab60c77044093f6ec70f4aac  AnyEvent-HTTP-2.22.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 13 2016 - 14:56:11 GMT